## org.jCharts.properties
Class DataAxisProperties

    java.lang.Object
      org.jCharts.properties.Properties
          org.jCharts.properties.AxisTypeProperties
              org.jCharts.properties.LabelAxisProperties
                  org.jCharts.properties.DataAxisProperties

All Implemented Interfaces:
  Serializable, HTMLTestable

    public final class DataAxisProperties

extends LabelAxisProperties
implements HTMLTestable

See Also:
  Serialized Form

Field Summary
`private int` `numItems`
`private int` `roundToNearest`
`private ScaleCalculator` `scaleCalculator`
`private boolean` `showZeroLine`
`private boolean` `useCommas`
`private boolean` `useDollarSigns`
`private boolean` `usePercentSigns`
`private double` `userDefinedIncrement`
`private double` `userDefinedMinimumValue`
`private boolean` `userDefinedScale`
`private ChartStroke` `zeroLineChartStroke`

Fields inherited from class org.jCharts.properties.AxisTypeProperties
`GRID_LINES_ALL, GRID_LINES_NONE, GRID_LINES_ONLY_WITH_LABELS, TICKS_ALL, TICKS_NONE, TICKS_ONLY_WITH_LABELS`

Fields inherited from class org.jCharts.properties.Properties
`DEFAULT_BACKGROUND_PAINT`

Constructor Summary
`DataAxisProperties()`

Method Summary
`int` `getNumItems()`
`int` `getRoundToNearest()`
`ScaleCalculator` `getScaleCalculator()`
`double` `getUserDefinedIncrement()`
`double` `getUserDefinedMinimumValue()`
`ChartStroke` `getZeroLineChartStroke()`
`boolean` `hasUserDefinedScale()`
`void` `setNumItems(int numItems)`
`void` `setRoundToNearest(int roundToNearest)`
`void` `setScaleCalculator(ScaleCalculator scaleCalculator)` You do not have to explicitly set a ScaleCalculator implementation as jCharts will create one, but if you do not like the way Scale ranges are created, you could create your own implementation of ScaleCalculator and jCharts will use it!
`void` `setShowZeroLine(boolean showZeroLine)`
`void` `setUseCommas(boolean useCommas)`
`void` `setUseDollarSigns(boolean useDollarSigns)`
`void` `setUsePercentSigns(boolean usePercentSigns)`
`void` `setUserDefinedScale(double axisMinimum, double axisIncrement)`
`void` `setZeroLineChartStroke(ChartStroke zeroLine)`
`boolean` `showZeroLine()`
`void` `toHTML(HTMLGenerator htmlGenerator)` Enables the testing routines to display the contents of this Object.
`boolean` `useCommas()`
`boolean` `useDollarSigns()`
`boolean` `usePercentSigns()`

Methods inherited from class org.jCharts.properties.AxisTypeProperties

`getAxisStroke, getAxisTickMarkPixelLength, getAxisTitleChartFont, getGridLineChartStroke, getPaddingBetweenAxisAndLabels, getPaddingBetweenAxisLabels, getPaddingBetweenAxisTitleAndLabels, getPaddingBetweenLabelsAndTicks, getScaleChartFont, getShowEndBorder, getShowGridLines, getShowTicks, getTickChartStroke, getTitleChartFont, setAxisStroke, setAxisTickMarkPixelLength, setAxisTitleChartFont, setGridLineChartStroke, setPaddingBetweenAxisAndLabels, setPaddingBetweenAxisTitleAndLabels, setPaddingBetweenLabelsAndTicks, setPaddingBetweenXAxisLabels, setScaleChartFont, setShowAxisLabels, setShowEndBorder, setShowGridLines, setShowTicks, setTickChartStroke, setTitleChartFont, showAxisLabels`

Methods inherited from class org.jCharts.properties.Properties
`getBackgroundPaint, setBackgroundPaint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### roundToNearest

    private int roundToNearest

### showZeroLine

    private boolean showZeroLine

### zeroLineChartStroke

    private ChartStroke zeroLineChartStroke

### userDefinedScale

    private boolean userDefinedScale

### userDefinedMinimumValue

    private double userDefinedMinimumValue

### userDefinedIncrement

    private double userDefinedIncrement

### numItems

    private int numItems

### useDollarSigns

    private boolean useDollarSigns

### useCommas

    private boolean useCommas

### usePercentSigns

    private boolean usePercentSigns

### scaleCalculator

    private ScaleCalculator scaleCalculator

Constructor Detail

### DataAxisProperties

    public DataAxisProperties()

Method Detail

### setUserDefinedScale

    public void setUserDefinedScale(double axisMinimum,
                                    double axisIncrement)
                             throws PropertyException

  Parameters:
    `axisMinimum` -
    `axisIncrement` -
  Throws:
    `PropertyException`

### getRoundToNearest

    public int getRoundToNearest()

### setRoundToNearest

    public void setRoundToNearest(int roundToNearest)

### showZeroLine

    public boolean showZeroLine()

### setShowZeroLine

    public void setShowZeroLine(boolean showZeroLine)

### getZeroLineChartStroke

    public ChartStroke getZeroLineChartStroke()

### setZeroLineChartStroke

    public void setZeroLineChartStroke(ChartStroke zeroLine)

### hasUserDefinedScale

    public boolean hasUserDefinedScale()

### getUserDefinedMinimumValue

    public double getUserDefinedMinimumValue()

### getUserDefinedIncrement

    public double getUserDefinedIncrement()

### getNumItems

    public int getNumItems()

### setNumItems

    public void setNumItems(int numItems)

### useDollarSigns

    public boolean useDollarSigns()

### setUseDollarSigns

    public void setUseDollarSigns(boolean useDollarSigns)

### useCommas

    public boolean useCommas()

### setUseCommas

    public void setUseCommas(boolean useCommas)

### usePercentSigns

    public boolean usePercentSigns()

### setUsePercentSigns

    public void setUsePercentSigns(boolean usePercentSigns)

### getScaleCalculator

    public ScaleCalculator getScaleCalculator()

### setScaleCalculator

    public void setScaleCalculator(ScaleCalculator scaleCalculator)

  You do not have to explicitly set a ScaleCalculator implementation as jCharts will create one, but if you do not like the way Scale ranges are created, you could create your own implementation of ScaleCalculator and jCharts will use it!

  Parameters:
    `scaleCalculator` -

### toHTML

    public void toHTML(HTMLGenerator htmlGenerator)

  Enables the testing routines to display the contents of this Object.

  Specified by:
    `toHTML` in interface `HTMLTestable`
  Overrides:
    `toHTML` in class `AxisTypeProperties`
  Parameters:
    `htmlGenerator` -